apeman-middleware-validate
Middlware for schema validation
Last updated 9 months ago by okunishinishi .
MIT · Repository · Bugs · Original npm · Tarball
$ cnpm install apeman-middleware-validate 
SYNC missed versions from official npm registry.

apeman-middleware-validate

Build Status npm Version JS Standard

Middlware for schema validation

Installation

$ npm install apeman-middleware-validate --save

Usage

create an middleware instance and attach to server settings like $api of apeman projects.

Apemanfile.js

/** This is an example Apemanfile to use apeman-middleware-validate */

'use strict'

module.exports = {
  $pkg: { /* ... */ },
  $api: {
    /* ... */
    $middlewares: [
      require('apeman-middleware-validate')({})
    ]
  }
}

Signature

apemanMiddlewareValidate(options) -> function

Create an middleware function

Args
Name Type Default Description
options Object {} Optional settings

License

This software is released under the MIT License.

Links

Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 1
Dependencies (3)
Dev Dependencies (14)
Dependents (1)

Copyright 2014 - 2017 © taobao.org |